Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] New package: ncspot-0.9.0
@ 2021-10-17  9:42 ram02z
  2021-10-17 12:36 ` [PR PATCH] [Updated] " ram02z
                   ` (29 more replies)
  0 siblings, 30 replies; 31+ messages in thread
From: ram02z @ 2021-10-17  9:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1795 bytes --]

There is a new pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.0
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

Opted to optimize the binary size (taken from alpine's APKBUILD).

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 2833 bytes --]

From bef75c45f85789e034d1f0167b8c43c71f00de9a Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.0

---
 .../patches/0001-remove-pancurses.patch       | 14 ++++++
 srcpkgs/ncspot/template                       | 45 +++++++++++++++++++
 2 files changed, 59 insertions(+)
 create mode 100644 srcpkgs/ncspot/patches/0001-remove-pancurses.patch
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/patches/0001-remove-pancurses.patch b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
new file mode 100644
index 000000000000..b86abab05490
--- /dev/null
+++ b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
@@ -0,0 +1,14 @@
+pancurses pulls ncurses-rs which breaks cross (termion used instead)
+
+diff --git a/Cargo.toml b/Cargo.toml
+index 576332a..8023123 100644
+--- a/Cargo.toml
++++ b/Cargo.toml
+@@ -47,7 +47,6 @@ strum_macros = "0.22.0"
+ regex = "1"
+ ioctl-rs = { version = "0.2", optional = true }
+ serde_cbor = "0.11.2"
+-pancurses = { version = "0.17.0", features = ["win32"] }
+
+ [dependencies.cursive]
+ version = "0.16.3"
diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..2b9a952d5064
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,45 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.0
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+$(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+$(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=81655d9fab4903c6ac22321f1a6801aaedfbd88d4f5f768ae8303104fa904a53
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+do_configure() {
+	configure_args+=" --features $_features"
+	# Reduces binary size (17 MiB -> 8.6 MiB)
+	cat >> Cargo.toml <<-EOF
+		[profile.release]
+		codegen-units = 1
+		lto = true
+		opt-level = "z"
+		panic = "abort"
+	EOF
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
@ 2021-10-17 12:36 ` ram02z
  2021-10-29  2:04 ` [PR REVIEW] " abenson
                   ` (28 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2021-10-17 12:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1636 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.0
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

Opted to optimize the binary size (taken from alpine's APKBUILD).

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 2642 bytes --]

From da19572e47478ee322738bf7d34e322e704cde84 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.0

---
 .../patches/0001-remove-pancurses.patch       | 14 ++++++++
 srcpkgs/ncspot/template                       | 35 +++++++++++++++++++
 2 files changed, 49 insertions(+)
 create mode 100644 srcpkgs/ncspot/patches/0001-remove-pancurses.patch
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/patches/0001-remove-pancurses.patch b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
new file mode 100644
index 000000000000..b86abab05490
--- /dev/null
+++ b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
@@ -0,0 +1,14 @@
+pancurses pulls ncurses-rs which breaks cross (termion used instead)
+
+diff --git a/Cargo.toml b/Cargo.toml
+index 576332a..8023123 100644
+--- a/Cargo.toml
++++ b/Cargo.toml
+@@ -47,7 +47,6 @@ strum_macros = "0.22.0"
+ regex = "1"
+ ioctl-rs = { version = "0.2", optional = true }
+ serde_cbor = "0.11.2"
+-pancurses = { version = "0.17.0", features = ["win32"] }
+
+ [dependencies.cursive]
+ version = "0.16.3"
diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..1d74fbc0c028
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.0
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+$(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+$(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=81655d9fab4903c6ac22321f1a6801aaedfbd88d4f5f768ae8303104fa904a53
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR REVIEW] New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
  2021-10-17 12:36 ` [PR PATCH] [Updated] " ram02z
@ 2021-10-29  2:04 ` abenson
  2021-10-29 10:13 ` [PR PATCH] [Updated] " ram02z
                   ` (27 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: abenson @ 2021-10-29  2:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 196 bytes --]

New review comment by abenson on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#discussion_r738885530

Comment:
indent this and the next line with a single space

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
  2021-10-17 12:36 ` [PR PATCH] [Updated] " ram02z
  2021-10-29  2:04 ` [PR REVIEW] " abenson
@ 2021-10-29 10:13 ` ram02z
  2021-10-30  9:49 ` ram02z
                   ` (26 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2021-10-29 10:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.0
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 2644 bytes --]

From 1cc2dc4ed8e94319067ac8b1cce31b49c0b30cfc Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.0

---
 .../patches/0001-remove-pancurses.patch       | 14 ++++++++
 srcpkgs/ncspot/template                       | 35 +++++++++++++++++++
 2 files changed, 49 insertions(+)
 create mode 100644 srcpkgs/ncspot/patches/0001-remove-pancurses.patch
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/patches/0001-remove-pancurses.patch b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
new file mode 100644
index 000000000000..b86abab05490
--- /dev/null
+++ b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
@@ -0,0 +1,14 @@
+pancurses pulls ncurses-rs which breaks cross (termion used instead)
+
+diff --git a/Cargo.toml b/Cargo.toml
+index 576332a..8023123 100644
+--- a/Cargo.toml
++++ b/Cargo.toml
+@@ -47,7 +47,6 @@ strum_macros = "0.22.0"
+ regex = "1"
+ ioctl-rs = { version = "0.2", optional = true }
+ serde_cbor = "0.11.2"
+-pancurses = { version = "0.17.0", features = ["win32"] }
+
+ [dependencies.cursive]
+ version = "0.16.3"
diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..43ae3a9bbe62
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.0
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=81655d9fab4903c6ac22321f1a6801aaedfbd88d4f5f768ae8303104fa904a53
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (2 preceding siblings ...)
  2021-10-29 10:13 ` [PR PATCH] [Updated] " ram02z
@ 2021-10-30  9:49 ` ram02z
  2021-11-30  0:43 ` ram02z
                   ` (25 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2021-10-30  9:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.0
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 2644 bytes --]

From 9a561d40b9466138ec3a0a727ec08c76c1b0ceed Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.0

---
 .../patches/0001-remove-pancurses.patch       | 14 ++++++++
 srcpkgs/ncspot/template                       | 35 +++++++++++++++++++
 2 files changed, 49 insertions(+)
 create mode 100644 srcpkgs/ncspot/patches/0001-remove-pancurses.patch
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/patches/0001-remove-pancurses.patch b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
new file mode 100644
index 000000000000..b86abab05490
--- /dev/null
+++ b/srcpkgs/ncspot/patches/0001-remove-pancurses.patch
@@ -0,0 +1,14 @@
+pancurses pulls ncurses-rs which breaks cross (termion used instead)
+
+diff --git a/Cargo.toml b/Cargo.toml
+index 576332a..8023123 100644
+--- a/Cargo.toml
++++ b/Cargo.toml
+@@ -47,7 +47,6 @@ strum_macros = "0.22.0"
+ regex = "1"
+ ioctl-rs = { version = "0.2", optional = true }
+ serde_cbor = "0.11.2"
+-pancurses = { version = "0.17.0", features = ["win32"] }
+
+ [dependencies.cursive]
+ version = "0.16.3"
diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..43ae3a9bbe62
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.0
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=81655d9fab4903c6ac22321f1a6801aaedfbd88d4f5f768ae8303104fa904a53
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (3 preceding siblings ...)
  2021-10-30  9:49 ` ram02z
@ 2021-11-30  0:43 ` ram02z
  2021-12-12  1:39 ` pfr-dev
                   ` (24 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2021-11-30  0:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 206 bytes --]

New comment by ram02z on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-982172472

Comment:
Waiting on #32555, since ncspot 0.9.1 requires Rust 1.55 or later.

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (4 preceding siblings ...)
  2021-11-30  0:43 ` ram02z
@ 2021-12-12  1:39 ` pfr-dev
  2021-12-15  7:13 ` 0323pin
                   ` (23 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: pfr-dev @ 2021-12-12  1:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 310 bytes --]

New comment by pfr-dev on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-991818053

Comment:
> Waiting on #32555, since ncspot 0.9.1 requires Rust 1.55 or later.

0.9.3 just got released. I'm following this thread watching for updates. Cheers for your work :) 

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (5 preceding siblings ...)
  2021-12-12  1:39 ` pfr-dev
@ 2021-12-15  7:13 ` 0323pin
  2022-01-04 18:40 ` [PR PATCH] [Updated] " ram02z
                   ` (22 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: 0323pin @ 2021-12-15  7:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 253 bytes --]

New comment by 0323pin on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-994407405

Comment:
FI, @pfr-dev `ncspot`-0.9.3 requires `rust` >= 1.56, neither 1.54 or 1.55 will do as edition was bumped to 2021.

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (6 preceding siblings ...)
  2021-12-15  7:13 ` 0323pin
@ 2022-01-04 18:40 ` ram02z
  2022-01-05  0:46 ` New package: ncspot-0.9.4 ram02z
                   ` (21 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-01-04 18:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.0
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1831 bytes --]

From 3b3080d5ad55f7ffce4ba6f00cf73aa69eca016f Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.4

---
 srcpkgs/ncspot/template | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..133725def500
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.4
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=17c300194de48bba1aa75801ede1d9a3a6e3be473145d8663e3f4360b41361e3
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (7 preceding siblings ...)
  2022-01-04 18:40 ` [PR PATCH] [Updated] " ram02z
@ 2022-01-05  0:46 ` ram02z
  2022-01-20 12:12 ` ram02z
                   ` (20 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-01-05  0:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 272 bytes --]

New comment by ram02z on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1005286494

Comment:
CI failures might be related to https://github.com/librespot-org/librespot/issues/774

Also, why are cross builds taking 2 hours?

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (8 preceding siblings ...)
  2022-01-05  0:46 ` New package: ncspot-0.9.4 ram02z
@ 2022-01-20 12:12 ` ram02z
  2022-01-20 13:23 ` 0323pin
                   ` (19 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-01-20 12:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 224 bytes --]

New comment by ram02z on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1017434639

Comment:
ncspot-0.95 requires rust 1.58.0

See https://github.com/hrkfdn/ncspot/issues/714

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (9 preceding siblings ...)
  2022-01-20 12:12 ` ram02z
@ 2022-01-20 13:23 ` 0323pin
  2022-01-20 13:41 ` 0323pin
                   ` (18 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: 0323pin @ 2022-01-20 13:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 429 bytes --]

New comment by 0323pin on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1017500838

Comment:
@ram02z Yes but, I can confirm that the patch provide, https://github.com/hrkfdn/ncspot/issues/714#issuecomment-1016409615

allows the build to succeed with rust-1.57.0
I've merged the package on NetBSD yesterday, https://mail-index.netbsd.org/pkgsrc-changes/2022/01/19/msg247190.html

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (10 preceding siblings ...)
  2022-01-20 13:23 ` 0323pin
@ 2022-01-20 13:41 ` 0323pin
  2022-01-20 13:42 ` ram02z
                   ` (17 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: 0323pin @ 2022-01-20 13:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1426 bytes --]

New comment by 0323pin on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1017500838

Comment:
@ram02z Yes but, I can confirm that the patch provide, https://github.com/hrkfdn/ncspot/issues/714#issuecomment-1016409615

allows the build to succeed with rust-1.57.0
I've merged the package on NetBSD yesterday, https://mail-index.netbsd.org/pkgsrc-changes/2022/01/19/msg247190.html

**EDIT:**
```
$NetBSD: patch-src_ui_listview.rs,v 1.1 2022/01/19 14:04:45 pin Exp $

Fix build with rust =< 1.58.0
Patch provided by upstream

--- src/ui/listview.rs.orig    2022-01-18 21:10:09.000000000 +0000
+++ src/ui/listview.rs
@@ -85,7 +85,7 @@ impl<I: ListItem> ListView<I> {
 
     pub fn content_height_with_paginator(&self) -> usize {
         let content_len = self.content.read().unwrap().len();
-        log::info!("content len: {content_len}");
+        log::info!("content len: {}", content_len);
 
         // add 1 more row for paginator if we can paginate
         if self.can_paginate() {
@@ -97,7 +97,7 @@ impl<I: ListItem> ListView<I> {
 
     fn can_paginate(&self) -> bool {
         let loaded = self.get_pagination().loaded_content();
-        log::info!("can paginate: {loaded}");
+        log::info!("can paginate: {}", loaded);
         self.get_pagination().max_content().unwrap_or(0) > self.get_pagination().loaded_content()
     }
```


^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (11 preceding siblings ...)
  2022-01-20 13:41 ` 0323pin
@ 2022-01-20 13:42 ` ram02z
  2022-01-20 13:50 ` 0323pin
                   ` (16 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-01-20 13:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 593 bytes --]

New comment by ram02z on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1017516326

Comment:
> @ram02z Yes but, I can confirm that the patch provide, [hrkfdn/ncspot#714 (comment)](https://github.com/hrkfdn/ncspot/issues/714#issuecomment-1016409615)
> 
> allows the build to succeed with rust-1.57.0 I've merged the package on NetBSD yesterday, https://mail-index.netbsd.org/pkgsrc-changes/2022/01/19/msg247190.html

Thanks. I saw the patch but I probably won't bump this package until the rust cross build starts working again on Void Linux.

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (12 preceding siblings ...)
  2022-01-20 13:42 ` ram02z
@ 2022-01-20 13:50 ` 0323pin
  2022-02-19 12:40 ` [PR PATCH] [Updated] " ram02z
                   ` (15 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: 0323pin @ 2022-01-20 13:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 485 bytes --]

New comment by 0323pin on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1017523183

Comment:
> probably won't bump this package until the rust cross build starts working again on Void Linux.

I haven't tried to cross compile. It will take a few days before the build infrastructure starts to spit-out binaries and to see if the builds are successful on other platforms. I only have access to x86_64 hardware and on it, it builds fine.

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.4
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (13 preceding siblings ...)
  2022-01-20 13:50 ` 0323pin
@ 2022-02-19 12:40 ` ram02z
  2022-03-10 10:36 ` [PR PATCH] [Updated] New package: ncspot-0.9.5 ram02z
                   ` (14 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-02-19 12:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.4
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 3120 bytes --]

From 5f8a0b85177e9b8b4d4802ef7459fdc0033c4b0a Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.5

---
 .../patches/patch-src_ui_listview.patch       | 23 ++++++++++++
 srcpkgs/ncspot/template                       | 35 +++++++++++++++++++
 2 files changed, 58 insertions(+)
 create mode 100644 srcpkgs/ncspot/patches/patch-src_ui_listview.patch
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/patches/patch-src_ui_listview.patch b/srcpkgs/ncspot/patches/patch-src_ui_listview.patch
new file mode 100644
index 000000000000..a4dca94c8ccd
--- /dev/null
+++ b/srcpkgs/ncspot/patches/patch-src_ui_listview.patch
@@ -0,0 +1,23 @@
+Fix build with rust =< 1.58.0
+Patch provided by upstream
+
+index 17fead7..e6c72b6 100644
+--- a/src/ui/listview.rs
++++ b/src/ui/listview.rs
+@@ -85,7 +85,7 @@ impl<I: ListItem> ListView<I> {
+
+     pub fn content_height_with_paginator(&self) -> usize {
+         let content_len = self.content.read().unwrap().len();
+-        log::info!("content len: {content_len}");
++        log::info!("content len: {}", content_len);
+
+         // add 1 more row for paginator if we can paginate
+         if self.can_paginate() {
+@@ -97,7 +97,7 @@ impl<I: ListItem> ListView<I> {
+
+     fn can_paginate(&self) -> bool {
+         let loaded = self.get_pagination().loaded_content();
+-        log::info!("can paginate: {loaded}");
++        log::info!("can paginate: {}", loaded);
+         self.get_pagination().max_content().unwrap_or(0) > self.get_pagination().loaded_content()
+     }
diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..65d3bb2b7c93
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.5
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=aff3fb952834dd657cf4a2dbcf6171c620273d6b8b6372cefcbe257c230f17f5
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.5
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (14 preceding siblings ...)
  2022-02-19 12:40 ` [PR PATCH] [Updated] " ram02z
@ 2022-03-10 10:36 ` ram02z
  2022-03-10 12:30 ` New package: ncspot-0.9.6 ram02z
                   ` (13 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-03-10 10:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.5
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1955 bytes --]

From 39a84d6baeb4a18b08bcae3655f78982615ec8e9 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.6

---
 srcpkgs/ncspot/template | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..3781b80e06b3
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,40 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.6
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=43f3108bffac6d735280d96feb9a49ca61674c9efebd553e1551d61b389bab93
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_patch() {
+	# fixes an indexmap error when cross compiling
+	cargo update --package autocfg --precise 1.1.0
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (15 preceding siblings ...)
  2022-03-10 10:36 ` [PR PATCH] [Updated] New package: ncspot-0.9.5 ram02z
@ 2022-03-10 12:30 ` ram02z
  2022-03-28 14:22 ` [PR PATCH] [Updated] " ram02z
                   ` (12 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-03-10 12:30 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 266 bytes --]

New comment by ram02z on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1064004884

Comment:
Cross build now works thanks to this snippet https://github.com/void-linux/void-packages/issues/34889#issuecomment-1062431423

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (16 preceding siblings ...)
  2022-03-10 12:30 ` New package: ncspot-0.9.6 ram02z
@ 2022-03-28 14:22 ` ram02z
  2022-03-28 14:23 ` ram02z
                   ` (11 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-03-28 14:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.6
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1955 bytes --]

From fdb890389bce409cc355553b8a68bf17ce866c2f Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.6

---
 srcpkgs/ncspot/template | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..3781b80e06b3
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,40 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.6
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=43f3108bffac6d735280d96feb9a49ca61674c9efebd553e1551d61b389bab93
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_patch() {
+	# fixes an indexmap error when cross compiling
+	cargo update --package autocfg --precise 1.1.0
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (17 preceding siblings ...)
  2022-03-28 14:22 ` [PR PATCH] [Updated] " ram02z
@ 2022-03-28 14:23 ` ram02z
  2022-04-05  9:51 ` pfr-dev
                   ` (10 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-03-28 14:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.6
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1955 bytes --]

From 2c1edf72d275e6f312657287f343ad1d7f11241c Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.7

---
 srcpkgs/ncspot/template | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..907dc0f8083a
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,40 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.7
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=6a7dec42d7ffde7d455b75dbc846f34463ae1e3c9bd84669382e90c4d1b31e3e
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_patch() {
+	# fixes an indexmap error when cross compiling
+	cargo update --package autocfg --precise 1.1.0
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (18 preceding siblings ...)
  2022-03-28 14:23 ` ram02z
@ 2022-04-05  9:51 ` pfr-dev
  2022-04-05  9:53 ` pfr-dev
                   ` (9 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: pfr-dev @ 2022-04-05  9:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

New comment by pfr-dev on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1088499266

Comment:
trying to update to `0.9.7` from `0.9.0`

I took the template and swapped it out for the old one and ran `./xbps-src update-sys` but it fails to build `zlib -1.2.11.4`

```
=> zlib-1.2.11_4: building [configure] (dependency of pcre) for x86_64...
   [runtime] zlib-1.2.11_4: not found (self, ignored)
=> zlib-1.2.11_4: running do-fetch hook: 00-distfiles ...
=> zlib-1.2.11_4: fetching distfile 'zlib-1.2.11.tar.gz'...
http://www.zlib.net/zlib-1.2.11.tar.gz: Not Found
=> ERROR: zlib-1.2.11_4: failed to fetch zlib-1.2.11.tar.gz.
=> ERROR: xbps-src: failed to build ncspot-0.9.7_1 pkg!
```



^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (19 preceding siblings ...)
  2022-04-05  9:51 ` pfr-dev
@ 2022-04-05  9:53 ` pfr-dev
  2022-04-05  9:53 ` pfr-dev
                   ` (8 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: pfr-dev @ 2022-04-05  9:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 789 bytes --]

New comment by pfr-dev on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1088499266

Comment:
trying to update to `0.9.7` from `0.9.0`

I took the template and swapped it out for the old one and ran `./xbps-src update-sys` but it fails to build `zlib -1.2.11.4`

```
=> zlib-1.2.11_4: building [configure] (dependency of pcre) for x86_64...
   [runtime] zlib-1.2.11_4: not found (self, ignored)
=> zlib-1.2.11_4: running do-fetch hook: 00-distfiles ...
=> zlib-1.2.11_4: fetching distfile 'zlib-1.2.11.tar.gz'...
http://www.zlib.net/zlib-1.2.11.tar.gz: Not Found
=> ERROR: zlib-1.2.11_4: failed to fetch zlib-1.2.11.tar.gz.
=> ERROR: xbps-src: failed to build ncspot-0.9.7_1 pkg!
```

I have `zlib-1.2.12_1` currently installed

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (20 preceding siblings ...)
  2022-04-05  9:53 ` pfr-dev
@ 2022-04-05  9:53 ` pfr-dev
  2022-04-05  9:53 ` pfr-dev
                   ` (7 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: pfr-dev @ 2022-04-05  9:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 789 bytes --]

New comment by pfr-dev on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1088499266

Comment:
trying to update to `0.9.7` from `0.9.0`

I took the template and swapped it out for the old one and ran `./xbps-src update-sys` but it fails to build `zlib -1.2.11_4`

```
=> zlib-1.2.11_4: building [configure] (dependency of pcre) for x86_64...
   [runtime] zlib-1.2.11_4: not found (self, ignored)
=> zlib-1.2.11_4: running do-fetch hook: 00-distfiles ...
=> zlib-1.2.11_4: fetching distfile 'zlib-1.2.11.tar.gz'...
http://www.zlib.net/zlib-1.2.11.tar.gz: Not Found
=> ERROR: zlib-1.2.11_4: failed to fetch zlib-1.2.11.tar.gz.
=> ERROR: xbps-src: failed to build ncspot-0.9.7_1 pkg!
```

I have `zlib-1.2.12_1` currently installed

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.6
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (21 preceding siblings ...)
  2022-04-05  9:53 ` pfr-dev
@ 2022-04-05  9:53 ` pfr-dev
  2022-04-05 20:18 ` New package: ncspot-0.9.7 abenson
                   ` (6 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: pfr-dev @ 2022-04-05  9:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 788 bytes --]

New comment by pfr-dev on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1088499266

Comment:
trying to update to `0.9.7` from `0.9.0`

I took the template and swapped it out for the old one and ran `./xbps-src update-sys` but it fails to build `zlib-1.2.11_4`

```
=> zlib-1.2.11_4: building [configure] (dependency of pcre) for x86_64...
   [runtime] zlib-1.2.11_4: not found (self, ignored)
=> zlib-1.2.11_4: running do-fetch hook: 00-distfiles ...
=> zlib-1.2.11_4: fetching distfile 'zlib-1.2.11.tar.gz'...
http://www.zlib.net/zlib-1.2.11.tar.gz: Not Found
=> ERROR: zlib-1.2.11_4: failed to fetch zlib-1.2.11.tar.gz.
=> ERROR: xbps-src: failed to build ncspot-0.9.7_1 pkg!
```

I have `zlib-1.2.12_1` currently installed

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.9.7
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (22 preceding siblings ...)
  2022-04-05  9:53 ` pfr-dev
@ 2022-04-05 20:18 ` abenson
  2022-05-26 10:02 ` [PR PATCH] [Updated] " ram02z
                   ` (5 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: abenson @ 2022-04-05 20:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1249 bytes --]

New comment by abenson on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1089289593

Comment:
You need to rebase on master.

https://github.com/void-linux/void-packages/blob/master/Manual.md#contributing-via-git

On Tue, Apr 5, 2022 at 4:52 AM Dave ***@***.***> wrote:

> trying to update to 0.9.7 from 0.9.0
>
> I took the template and swapped it out for the old one and ran ./xbps-src
> update-sys but it fails to build zlib -1.2.11.4
>
> => zlib-1.2.11_4: building [configure] (dependency of pcre) for x86_64...
>    [runtime] zlib-1.2.11_4: not found (self, ignored)
> => zlib-1.2.11_4: running do-fetch hook: 00-distfiles ...
> => zlib-1.2.11_4: fetching distfile 'zlib-1.2.11.tar.gz'...http://www.zlib.net/zlib-1.2.11.tar.gz: Not Found
> => ERROR: zlib-1.2.11_4: failed to fetch zlib-1.2.11.tar.gz.
> => ERROR: xbps-src: failed to build ncspot-0.9.7_1 pkg!
>
> —
> Reply to this email directly, view it on GitHub
> <https://github.com/void-linux/void-packages/pull/33600#issuecomment-1088499266>,
> or unsubscribe
> <https://github.com/notifications/unsubscribe-auth/AABXP5OLC67FQBM2PEXSWP3VDQEMDANCNFSM5GET4EDA>
> .
> You are receiving this because you commented.Message ID:
> ***@***.***>
>


^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.7
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (23 preceding siblings ...)
  2022-04-05 20:18 ` New package: ncspot-0.9.7 abenson
@ 2022-05-26 10:02 ` ram02z
  2022-05-26 10:03 ` [PR PATCH] [Updated] New package: ncspot-0.9.8 ram02z
                   ` (4 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-05-26 10:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.7
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1955 bytes --]

From ff5388d5905702132b34fa2cd80243acc019f630 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.7

---
 srcpkgs/ncspot/template | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..51163d4e0229
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,40 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.8
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=dc465bb143f072f98c08e6095de761aa177a21ed97c1d99064feaa3c517bb97e
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_patch() {
+	# fixes an indexmap error when cross compiling
+	cargo update --package autocfg --precise 1.1.0
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.8
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (24 preceding siblings ...)
  2022-05-26 10:02 ` [PR PATCH] [Updated] " ram02z
@ 2022-05-26 10:03 ` ram02z
  2022-06-11 15:13 ` ram02z
                   ` (3 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-05-26 10:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.8
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1955 bytes --]

From b9c076f3d0a8a277b427fe5a35ef31ce9cedcc20 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.8

---
 srcpkgs/ncspot/template | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..51163d4e0229
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,40 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.9.8
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=dc465bb143f072f98c08e6095de761aa177a21ed97c1d99064feaa3c517bb97e
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_patch() {
+	# fixes an indexmap error when cross compiling
+	cargo update --package autocfg --precise 1.1.0
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.9.8
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (25 preceding siblings ...)
  2022-05-26 10:03 ` [PR PATCH] [Updated] New package: ncspot-0.9.8 ram02z
@ 2022-06-11 15:13 ` ram02z
  2022-07-01  3:55 ` New package: ncspot-0.10.0 wael444
                   ` (2 subsequent siblings)
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-06-11 15:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1570 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.9.8
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1832 bytes --]

From 22e0d778e1287da681c06975e694637b04b6a764 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.9.8

---
 srcpkgs/ncspot/template | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..c2f36ff406da
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.10.0
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=18617de29ba4d96b3c4b17139fc3b0fcdfa0adb205cbec96afb817b7981a33d2
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: New package: ncspot-0.10.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (26 preceding siblings ...)
  2022-06-11 15:13 ` ram02z
@ 2022-07-01  3:55 ` wael444
  2022-09-19 21:44 ` [PR PATCH] [Updated] " ram02z
  2022-09-19 21:46 ` [PR PATCH] [Updated] New package: ncspot-0.11.1 ram02z
  29 siblings, 0 replies; 31+ messages in thread
From: wael444 @ 2022-07-01  3:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 152 bytes --]

New comment by wael444 on void-packages repository

https://github.com/void-linux/void-packages/pull/33600#issuecomment-1171903370

Comment:
:cupcake: 

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.10.0
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (27 preceding siblings ...)
  2022-07-01  3:55 ` New package: ncspot-0.10.0 wael444
@ 2022-09-19 21:44 ` ram02z
  2022-09-19 21:46 ` [PR PATCH] [Updated] New package: ncspot-0.11.1 ram02z
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-09-19 21:44 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1571 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.10.0
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 2944 bytes --]

From 43b39199a0f204088d2ffc4f7b4518f8f1b12016 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH 1/2] New package: ncspot-0.10.0

---
 srcpkgs/ncspot/template | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..c2f36ff406da
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.10.0
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=18617de29ba4d96b3c4b17139fc3b0fcdfa0adb205cbec96afb817b7981a33d2
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

From 8f5612f8248d9d26b073c6b4f8a8cea1381b7548 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Mon, 19 Sep 2022 22:43:59 +0100
Subject: [PATCH 2/2] ncspot: update to 0.11.1.

---
 srcpkgs/ncspot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
index c2f36ff406da..08d4b1e6d935 100644
--- a/srcpkgs/ncspot/template
+++ b/srcpkgs/ncspot/template
@@ -1,6 +1,6 @@
 # Template file for 'ncspot'
 pkgname=ncspot
-version=0.10.0
+version=0.11.1
 revision=1
 build_style=cargo
 configure_args="--no-default-features"
@@ -13,7 +13,7 @@ maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
 license="BSD-2-Clause"
 homepage="https://github.com/hrkfdn/ncspot"
 distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
-checksum=18617de29ba4d96b3c4b17139fc3b0fcdfa0adb205cbec96afb817b7981a33d2
+checksum=cfd8d0ea65321652cd00c91b47aaa52bd073bc4afa7e971b8f0e84e0f80eb9ff
 
 build_options="libxcb dbus alsa pulseaudio notify cover"
 build_options_default="libxcb dbus alsa pulseaudio notify"

^ permalink raw reply	[flat|nested] 31+ messages in thread

* Re: [PR PATCH] [Updated] New package: ncspot-0.11.1
  2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
                   ` (28 preceding siblings ...)
  2022-09-19 21:44 ` [PR PATCH] [Updated] " ram02z
@ 2022-09-19 21:46 ` ram02z
  29 siblings, 0 replies; 31+ messages in thread
From: ram02z @ 2022-09-19 21:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1571 bytes --]

There is an updated pull request by ram02z against master on the void-packages repository

https://github.com/ram02z/void-packages ncspot
https://github.com/void-linux/void-packages/pull/33600

New package: ncspot-0.11.1
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

Using the termion as the backend instead of ncurses-rs which doesn't crosscompile. See https://github.com/void-linux/void-packages/pull/23415

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
#### Does it build and run successfully? 
- [x] I built this PR locally for my native architecture, (x86_64)
- [x] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [x] aarch64
-->

A patch file from https://github.com/void-linux/void-packages/pull/33600.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ncspot-33600.patch --]
[-- Type: text/x-diff, Size: 1833 bytes --]

From 7443e43b6db9aa4b6d8258c3090e3069c9f592f8 Mon Sep 17 00:00:00 2001
From: Omar Zeghouani <omarzeghouanii@gmail.com>
Date: Sun, 17 Oct 2021 10:38:19 +0100
Subject: [PATCH] New package: ncspot-0.11.1

---
 srcpkgs/ncspot/template | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 srcpkgs/ncspot/template

diff --git a/srcpkgs/ncspot/template b/srcpkgs/ncspot/template
new file mode 100644
index 000000000000..08d4b1e6d935
--- /dev/null
+++ b/srcpkgs/ncspot/template
@@ -0,0 +1,35 @@
+# Template file for 'ncspot'
+pkgname=ncspot
+version=0.11.1
+revision=1
+build_style=cargo
+configure_args="--no-default-features"
+hostmakedepends="pkg-config python3"
+makedepends="openssl-devel $(vopt_if libxcb libxcb-devel)
+ $(vopt_if dbus dbus-devel) $(vopt_if alsa alsa-lib-devel)
+ $(vopt_if pulseaudio pulseaudio-devel)"
+short_desc="Cross-platform ncurses Spotify client"
+maintainer="Omar Zeghouani <omarzeghouanii@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/hrkfdn/ncspot"
+distfiles="https://github.com/hrkfdn/ncspot/archive/v${version}.tar.gz"
+checksum=cfd8d0ea65321652cd00c91b47aaa52bd073bc4afa7e971b8f0e84e0f80eb9ff
+
+build_options="libxcb dbus alsa pulseaudio notify cover"
+build_options_default="libxcb dbus alsa pulseaudio notify"
+desc_option_libxcb="Enable support for X clipboard access"
+desc_option_cover="Enable support for cover art"
+
+_features="cursive/termion-backend"
+_features+="$(vopt_if libxcb ',share_clipboard,share_selection')"
+_features+="$(vopt_if dbus ',mpris')"
+_features+="$(vopt_if alsa ',alsa_backend')"
+_features+="$(vopt_if pulseaudio ',pulseaudio_backend')"
+_features+="$(vopt_if notify ',notify')"
+_features+="$(vopt_if cover ',cover')"
+
+configure_args+=" --features $_features"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 31+ messages in thread

end of thread, other threads:[~2022-09-19 21:46 UTC | newest]

Thread overview: 31+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-17  9:42 [PR PATCH] New package: ncspot-0.9.0 ram02z
2021-10-17 12:36 ` [PR PATCH] [Updated] " ram02z
2021-10-29  2:04 ` [PR REVIEW] " abenson
2021-10-29 10:13 ` [PR PATCH] [Updated] " ram02z
2021-10-30  9:49 ` ram02z
2021-11-30  0:43 ` ram02z
2021-12-12  1:39 ` pfr-dev
2021-12-15  7:13 ` 0323pin
2022-01-04 18:40 ` [PR PATCH] [Updated] " ram02z
2022-01-05  0:46 ` New package: ncspot-0.9.4 ram02z
2022-01-20 12:12 ` ram02z
2022-01-20 13:23 ` 0323pin
2022-01-20 13:41 ` 0323pin
2022-01-20 13:42 ` ram02z
2022-01-20 13:50 ` 0323pin
2022-02-19 12:40 ` [PR PATCH] [Updated] " ram02z
2022-03-10 10:36 ` [PR PATCH] [Updated] New package: ncspot-0.9.5 ram02z
2022-03-10 12:30 ` New package: ncspot-0.9.6 ram02z
2022-03-28 14:22 ` [PR PATCH] [Updated] " ram02z
2022-03-28 14:23 ` ram02z
2022-04-05  9:51 ` pfr-dev
2022-04-05  9:53 ` pfr-dev
2022-04-05  9:53 ` pfr-dev
2022-04-05  9:53 ` pfr-dev
2022-04-05 20:18 ` New package: ncspot-0.9.7 abenson
2022-05-26 10:02 ` [PR PATCH] [Updated] " ram02z
2022-05-26 10:03 ` [PR PATCH] [Updated] New package: ncspot-0.9.8 ram02z
2022-06-11 15:13 ` ram02z
2022-07-01  3:55 ` New package: ncspot-0.10.0 wael444
2022-09-19 21:44 ` [PR PATCH] [Updated] " ram02z
2022-09-19 21:46 ` [PR PATCH] [Updated] New package: ncspot-0.11.1 ram02z

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).